Subject: Re: bug#56197: 28.1; lisp-fill-paragraph result regressed with Emacs 28

From: Stefan Kangas <[email-masked]>
Date: Wed, 29 Jun 2022 11:03:11 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> I've now fixed that, but the question still remains -- should
>
> (foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot "This is a very long line This is a very long line This is a very long line This")
>
> be filled as
>
> (foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot "This is a very long line This is a very long line This is a very
> long line This")
>
> (i.e., fill the string using fill-column, or
>
> (foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot-foo-bar-zot "This is a
> very long line This is a very long line This is a very long line This")
>
> (i.e., fill the text as is in the buffer).

The former sounds more useful, IMO.  I don't want to mess up my strings
just to have pretty source code; I can make such adjustments manually
when I need to.